Bug 120320 - postfix fails to start
postfix fails to start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 15:21 EDT by Albert Strasheim
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-02 15:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2004-04-07 15:21:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When starting postfix, the following errors appear in /var/log/messages:

Apr  7 21:20:17 asok kernel: audit(1081365617.249:0): avc:  denied  {
write } for  pid=15845 exe=/usr/sbin/postalias name=postfix dev=hda5
ino=757973 scontext=root:system_r:postfix_master_t
tcontext=system_u:object_r:postfix_etc_t tclass=dir
Apr  7 21:20:18 asok kernel: audit(1081365618.296:0): avc:  denied  {
execute } for  pid=15847 exe=/bin/bash name=master dev=hda5 ino=98411
scontext=root:system_r:postfix_master_t
tcontext=system_u:object_r:lib_t tclass=file

postfix fails to start. With setenforce 0, postfix starts
successfully, but the following warnings appear:

Apr  7 21:24:43 asok kernel: audit(1081365883.499:0): avc:  denied  {
getattr } for  pid=16456 exe=/usr/sbin/postalias path=/dev/pts/52 dev=
ino=54 scontext=root:system_r:postfix_master_t
tcontext=root:object_r:sysadm_devpts_t tclass=chr_file
Apr  7 21:24:43 asok kernel: audit(1081365883.527:0): avc:  denied  {
execute } for  pid=16458 exe=/bin/bash name=master dev=hda5 ino=98411
scontext=root:system_r:postfix_master_t
tcontext=system_u:object_r:lib_t tclass=file
Apr  7 21:24:43 asok kernel: audit(1081365883.527:0): avc:  denied  {
execute_no_trans } for  pid=16458 exe=/bin/bash
path=/usr/libexec/postfix/master dev=hda5 ino=98411
scontext=root:system_r:postfix_master_t
tcontext=system_u:object_r:lib_t tclass=file
Apr  7 21:24:43 asok kernel: audit(1081365883.679:0): avc:  denied  {
getattr } for  pid=16471 exe=/bin/bash path=/usr/sbin/sendmail.postfix
dev=hda5 ino=136791 scontext=root:system_r:postfix_master_t
tcontext=system_u:object_r:sbin_t tclass=file
Apr  7 21:24:43 asok kernel: audit(1081365883.689:0): avc:  denied  {
getattr } for  pid=16471 exe=/bin/bash
path=/usr/share/man/man1/mailq.postfix.1.gz dev=hda5 ino=1338837
scontext=root:system_r:postfix_master_t
tcontext=system_u:object_r:man_t tclass=file

The second time postfix is restarted while setenforce is 0, no
warnings are displayed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/postfix start with setenforce 1
2. setenforce 0
3. /etc/init.d/postfix start (more warnings, but postfix starts)
4. /etc/init.d/postfix stop
5. /etc/init.d/postfix start (no warnings this time)
    

Actual Results:  postfix fails to start with policy enforced, and
displays warnings the first time it is started after enforcing of
policy is turned off

Expected Results:  postfix should work without problems

Additional info:
Comment 1 Daniel Walsh 2004-04-08 09:04:04 EDT
Check out the latest policy-1.10.1-4.  Should be fixed.
Comment 2 Albert Strasheim 2004-04-08 10:30:47 EDT
With policy-1.10.1-4, I get the following errors when starting postfix:


Apr  8 16:35:51 asok kernel: audit(1081434951.184:0): avc:  denied  {
search } for  pid=3863 exe=/usr/sbin/postalias name=root dev=hda5
ino=1310721 scontext=root:system_r:postfix_master_t
tcontext=root:object_r:staff_home_dir_t tclass=dir
Apr  8 16:35:51 asok kernel: audit(1081434951.185:0): avc:  denied  {
search } for  pid=3863 exe=/usr/sbin/postalias name=root dev=hda5
ino=1310721 scontext=root:system_r:postfix_master_t
tcontext=root:object_r:staff_home_dir_t tclass=dir
Apr  8 16:35:51 asok kernel: audit(1081434951.185:0): avc:  denied  {
search } for  pid=3863 exe=/usr/sbin/postalias name=root dev=hda5
ino=1310721 scontext=root:system_r:postfix_master_t
tcontext=root:object_r:staff_home_dir_t tclass=dir
Apr  8 16:35:51 asok kernel: audit(1081434951.205:0): avc:  denied  {
execute } for  pid=3865 exe=/bin/bash name=master dev=hda5 ino=98411
scontext=root:system_r:postfix_master_t
tcontext=system_u:object_r:lib_t tclass=file
Comment 3 Leonard den Ottolander 2004-05-10 13:49:24 EDT
Are you still having these issues with postfix?

Note You need to log in before you can comment on or make changes to this bug.